import { STAGE_LIST } from '../../index'

export default {
  id: 'interview_xwzsywzm',
  title: '学位证书英文证明',
  get: {
    action: `${process.env.baseURL}/api/enrollment/v1.0/application-materials/${process.env.projectId}`,
    callback(data) {
      const { attachments = [], submission_stage: submissionStage = 'FILLING' } = data.data.material

      this.form.options.disabled = STAGE_LIST.findIndex(item => item === submissionStage) > 2
      const DEGREE_CERT_EN = attachments.filter(item => {
        return item.file_type_id === 'DEGREE_CERT_EN'
      })
      return { DEGREE_CERT_EN }
    }
  },
  form: {
    prev: { to: { query: { active: 'interview_xwzs' } } },
    next: { to: { query: { active: 'interview_ywjl' } } },
    hasSubmit: false,
    options: {},
    items: [
      {
        type: 'v-upload',
        required: true,
        model: 'DEGREE_CERT_EN',
        attrs: {
          action: `${process.env.baseURL}/api/enrollment/v1.0/application-materials/attachments/${process.env.projectId}/put`,
          deleteAction: `${process.env.baseURL}/api/enrollment/v1.0/application-materials/attachments/${process.env.projectId}/delete`,
          data: { file_type: 'DEGREE_CERT_EN' }
        },
        append: '请将学校出具的学位证书英文证明原件扫描或者拍照后提交。'
      }
    ]
  }
}
