import { STAGE_LIST } from '../../index'
export default function (_this) {
  return {
    required: true,
    id: 'admission_grcs',
    title: '个人陈述',
    visible() {
      return _this.isPay
    },
    get: {
      action: `${process.env.baseURL}/api/enrollment/v1.0/application-materials/${process.env.projectId}`,
      callback(data) {
        const { attachments = [], submission_stage: submissionStage = 'FILLING' } = data.data.material

        this.form.options.disabled = STAGE_LIST.findIndex(item => item === submissionStage) >= 6
        const PERSONAL_STATEMENT = attachments.filter(item => {
          return item.file_type_id === 'PERSONAL_STATEMENT'
        })
        return { PERSONAL_STATEMENT }
      }
    },
    form: {
      prev: { to: { query: { active: 'admission_tjx' } } },
      next: { to: { query: { active: 'admission_byzs' } } },
      hasSubmit: false,
      options: { 'label-position': 'top' },
      items: [
        {
          type: 'v-upload',
          required: true,
          model: 'PERSONAL_STATEMENT',
          attrs: {
            action: `${process.env.baseURL}/api/enrollment/v1.0/application-materials/attachments/${process.env.projectId}/put`,
            deleteAction: `${process.env.baseURL}/api/enrollment/v1.0/application-materials/attachments/${process.env.projectId}/delete`,
            data: { file_type: 'PERSONAL_STATEMENT' },
            limit: 1
          },
          append: '请上传您的个人陈述（英文）'
        }
      ]
    }
  }
}
